Name: liborigin
Version: 20080225
Release: alt1

Summary: Library for data extracting from Origin(tm) files
License: GPL
Group: Sciences/Other
Url: http://www.sourceforge.net/projects/%name
Packager: Yury Aliaev <mutabor@altlinux.ru>

Source: %name-%version.tar.gz
Source1: opj2dat.1
Patch0: %name-20080225-makefile-alt.patch

BuildRequires: gcc-c++

%description
This is the library for data extracting from Microcal(R) Origin(tm) files. Currently it can extract
data from tables.

%package -n %name-devel
Summary: Development files for liborigin
Group: Development/C
Requires: %name = %version-%release

%description -n %name-devel
This package contains development files (headers and library links) for the software
development using liborigin library.

%package -n opj2dat
Summary: Utility for extracting data from Origin(tm) files
Group: Sciences/Other

%description -n opj2dat
This package contains command-line utility for extracting data from Microcal(R) Origin(tm) files.

%description -n opj2dat -l ru_RU.KOI8-R
  -      , 
 Microcal(R) Origin(tm).

%prep
%setup -q
%patch0 -p1
%make clean

%build
%make CXXFLAGS="$RPM_OPT_FLAGS"

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%install
%makeinstall DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_man1dir
install -pD -m644 %SOURCE1 $RPM_BUILD_ROOT%_man1dir

%files
%_libdir/%name.so.0.0.*
%_libdir/%name.so.0
%doc README

%files -n %name-devel
%_includedir/*
%_libdir/%name.so.0.0
%_libdir/%name.so

%files -n opj2dat
%_bindir/*
%_man1dir/*

%changelog
* Thu May 08 2008 Yury Aliaev <mutabor@altlinux.ru> 20080225-alt1
- v.20080225
- added man page from Debian

* Thu May 31 2007 Yury Aliaev <mutabor@altlinux.ru> 20070529-alt1
- v.20070529

* Sun May 06 2007 Yury Aliaev <mutabor@altlinux.ru> 20070115-alt2.1
- dummy release due to Sisyphus robots' stupidity and some responsible person
insanity. Actually nothing is changed since previous release.

* Tue Apr 17 2007 Yury Aliaev <mutabor@altlinux.ru> 20070115-alt2
- fixed build for 64 bit architectures

* Fri Feb 16 2007 Yury Aliaev <mutabor@altlinux.ru> 20070115-alt1
- v.20070115

* Wed Jul 19 2006 Yury Aliaev <mutabor@altlinux.ru> 20060616-alt1
- v.20060616

* Sat Jun 10 2006 Yury Aliaev <mutabor@altlinux.ru> 20060607-alt1
- v.20060607

* Sat Jun 3 2006 Yury Aliaev <mutabor@altlinux.ru> 20060529-alt1
- v.20060529

* Mon May 29 2006 Yury Aliaev <mutabor@altlinux.ru> 20060517-alt2
- Ooops! Previous built always leaded to segfaults. Now fixed.

* Wed May 24 2006 Yury Aliaev <mutabor@altlinux.ru> 20060517-alt1
- First build for Sisyphus.
